Index: bfd/config.bfd
===================================================================
RCS file: /cvs/src/src/bfd/config.bfd,v
retrieving revision 1.149
diff -c -r1.149 config.bfd
*** bfd/config.bfd	3 Dec 2003 15:07:15 -0000	1.149
--- bfd/config.bfd	18 Dec 2003 10:04:31 -0000
***************
*** 597,602 ****
--- 597,617 ----
      targ_defvec=bfd_elf32_iq2000_vec
      ;;
  
+   m32r*le-*-linux*)
+     targ_defvec=bfd_elf32_m32rlelin_vec
+     targ_selvecs="bfd_elf32_m32rlin_vec  bfd_elf32_m32rlelin_vec"
+     ;;
+                                                                                 
+   m32r*-*-linux*)
+     targ_defvec=bfd_elf32_m32rlin_vec
+     targ_selvecs="bfd_elf32_m32rlin_vec  bfd_elf32_m32rlelin_vec"
+     ;;
+                                                                                 
+   m32r*le-*-*)
+     targ_defvec=bfd_elf32_m32rle_vec
+     targ_selvecs="bfd_elf32_m32r_vec bfd_elf32_m32rle_vec"
+     ;;
+ 
    m32r-*-*)
      targ_defvec=bfd_elf32_m32r_vec
      ;;
Index: bfd/configure.in
===================================================================
RCS file: /cvs/src/src/bfd/configure.in,v
retrieving revision 1.141
diff -c -r1.141 configure.in
*** bfd/configure.in	3 Dec 2003 15:07:15 -0000	1.141
--- bfd/configure.in	18 Dec 2003 10:04:32 -0000
***************
*** 631,636 ****
--- 631,639 ----
      bfd_elf32_littlearm_vec)	tb="$tb elfarm-nabi.lo elf32.lo $elf" ;;
      bfd_elf32_littlemips_vec) 	tb="$tb elf32-mips.lo elfxx-mips.lo elf32.lo $elf ecofflink.lo" ;;
      bfd_elf32_m32r_vec)		tb="$tb elf32-m32r.lo elf32.lo $elf" ;;
+     bfd_elf32_m32rle_vec)       tb="$tb elf32-m32r.lo elf32.lo $elf" ;;
+     bfd_elf32_m32rlin_vec)      tb="$tb elf32-m32r.lo elf32.lo $elf" ;;
+     bfd_elf32_m32rlelin_vec)    tb="$tb elf32-m32r.lo elf32.lo $elf" ;;
      bfd_elf32_m68hc11_vec)	tb="$tb elf32-m68hc11.lo elf32-m68hc1x.lo elf32.lo $elf" ;;
      bfd_elf32_m68hc12_vec)	tb="$tb elf32-m68hc12.lo elf32-m68hc1x.lo elf32.lo $elf" ;;
      bfd_elf32_m68k_vec)		tb="$tb elf32-m68k.lo elf32.lo $elf" ;;
